Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.action.swing
Class SwingActionDelegate<T extends ModelItem>

    java.lang.Object
      javax.swing.AbstractAction
          com.eviware.soapui.support.action.swing.SwingActionDelegate<T>

All Implemented Interfaces:
  java.awt.event.ActionListener, java.beans.PropertyChangeListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

    public class SwingActionDelegate<T extends ModelItem>

extends javax.swing.AbstractAction
implements java.beans.PropertyChangeListener

Delegates a SwingAction to a SoapUIActionMapping

Author:
  ole.matzura
See Also:
  Serialized Form

Field Summary
`static boolean` | `switchClassloader`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`SwingActionDelegate(SoapUIActionMapping<T> mapping, T target)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`static
`<T extends ModelItem> SwingActionDelegate<T>`
` | `createDelegate(SoapUIAction<T> action)`
`static
`<T extends ModelItem> SwingActionDelegate<T>`
` | `createDelegate(SoapUIAction<T> action, T target)`
`static
`<T extends ModelItem> SwingActionDelegate<T>`
` | `createDelegate(SoapUIAction<T> action, T target, java.lang.String keyStroke)`
`static
`<T extends ModelItem> SwingActionDelegate<T>`
` | `createDelegate(SoapUIAction<T> action, T target, java.lang.String keyStroke, java.lang.String iconPath)`
`static javax.swing.AbstractAction` | `createDelegate(java.lang.String soapUIActionId)`
`static
`<T extends ModelItem> javax.swing.AbstractAction`
` | `createDelegate(java.lang.String soapUIActionId, T target)`
`static
`<T extends ModelItem> javax.swing.AbstractAction`
` | `createDelegate(java.lang.String soapUIActionId, T target, java.lang.String keyStroke)`
`static
`<T extends ModelItem> javax.swing.AbstractAction`
` | `createDelegate(java.lang.String soapUIActionId, T target, java.lang.String keyStroke, java.lang.String iconPath)`
`SoapUIAction<T>` | `getAction()`
`SoapUIActionMapping<T>` | `getMapping()`
`T` | `getTarget()`
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### switchClassloader

    public static boolean switchClassloader

Constructor Detail

### SwingActionDelegate

    public SwingActionDelegate(SoapUIActionMapping<T> mapping,
                               T target)

Method Detail

### getMapping

    public SoapUIActionMapping<T> getMapping()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### getAction

    public SoapUIAction<T> getAction()

### getTarget

    public T getTarget()

### createDelegate

    public static <T extends ModelItem> SwingActionDelegate<T> createDelegate(SoapUIAction<T> action,
                                                                              T target,
                                                                              java.lang.String keyStroke,
                                                                              java.lang.String iconPath)

### createDelegate

    public static <T extends ModelItem> SwingActionDelegate<T> createDelegate(SoapUIAction<T> action,
                                                                              T target,
                                                                              java.lang.String keyStroke)

### createDelegate

    public static <T extends ModelItem> SwingActionDelegate<T> createDelegate(SoapUIAction<T> action,
                                                                              T target)

### createDelegate

    public static <T extends ModelItem> SwingActionDelegate<T> createDelegate(SoapUIAction<T> action)

### createDelegate

    public static javax.swing.AbstractAction createDelegate(java.lang.String soapUIActionId)

### createDelegate

    public static <T extends ModelItem> javax.swing.AbstractAction createDelegate(java.lang.String soapUIActionId,
                                                                                  T target)

### createDelegate

    public static <T extends ModelItem> javax.swing.AbstractAction createDelegate(java.lang.String soapUIActionId,
                                                                                  T target,
                                                                                  java.lang.String keyStroke)

### createDelegate

    public static <T extends ModelItem> javax.swing.AbstractAction createDelegate(java.lang.String soapUIActionId,
                                                                                  T target,
                                                                                  java.lang.String keyStroke,
                                                                                  java.lang.String iconPath)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.